Page MenuHomePhabricator

Adjust the amount of controls to the available space in the controlbar
Closed, ResolvedPublic

Description

At many of the smaller resolutions, for both audio and video files, there are way more controls than fit in the controlbar. The VideoJS UI is really only suited for over 330px of video width right now.

Since this is extremely common in Wikimedia, especially for audio files we need to deal with this somehow.
https://docs.videojs.com/tutorial-layout.html#responsive-mode

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterVideoJS: Add responsive mode

Event Timeline

TheDJ created this task.Jun 22 2019, 8:51 PM

Change 518394 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/TimedMediaHandler@master] VideoJS: Add responsive mode

https://gerrit.wikimedia.org/r/518394

TheDJ moved this task from Backlog to Video.js on the Kaltura player board.Jun 23 2019, 12:08 PM
TheDJ moved this task from To sort to Doing on the TimedMediaHandler board.
TheDJ triaged this task as High priority.Jun 23 2019, 12:12 PM

Change 518394 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] VideoJS: Add responsive mode

https://gerrit.wikimedia.org/r/518394

Jdforrester-WMF closed this task as Resolved.Jul 2 2019, 7:29 PM

Thank you!